# Generated by Django 2.1.5 on 2019-02-03 15:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import openbook_common.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('openbook_circles', '0005_circle_created'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Community',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True, verbose_name='name')),
                ('title', models.CharField(max_length=32, verbose_name='title')),
                ('description', models.CharField(max_length=500, null=True, verbose_name='description')),
                ('rules', models.CharField(max_length=150, null=True, verbose_name='rules')),
                ('avatar', models.ImageField(null=True, upload_to='', verbose_name='avatar')),
                ('cover', models.ImageField(null=True, upload_to='', verbose_name='cover')),
                ('created', models.DateTimeField(editable=False)),
                ('type', models.CharField(choices=[('P', 'Public'), ('T', 'Private')], default='P', editable=False, max_length=2)),
                ('color', models.CharField(max_length=7, validators=[openbook_common.validators.hex_color_validator], verbose_name='color')),
                ('user_adjective', models.CharField(max_length=16, null=True, verbose_name='user adjective')),
                ('users_adjective', models.CharField(max_length=16, null=True, verbose_name='users adjective')),
                ('administrators', models.ManyToManyField(related_name='administrated_communities', to=settings.AUTH_USER_MODEL)),
                ('banned_users', models.ManyToManyField(related_name='banned_of_communities', to=settings.AUTH_USER_MODEL)),
                ('circle', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='openbook_circles.Circle')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='created_communities', to=settings.AUTH_USER_MODEL)),
                ('moderators', models.ManyToManyField(related_name='moderated_communities', to=settings.AUTH_USER_MODEL)),
                ('users', models.ManyToManyField(related_name='communities', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'communities',
            },
        ),
        migrations.CreateModel(
            name='CommunityInvite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('community', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invites', to='openbook_communities.Community')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='created_communities_invites', to=settings.AUTH_USER_MODEL)),
                ('invited_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='communities_invites', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
