# Generated by Django 2.1.3 on 2018-12-13 12:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Connection = apps.get_model("openbook_connections", 'Connection')
    db_alias = schema_editor.connection.alias
    connections = Connection.objects.using(db_alias).all()
    for connection in connections:
        target_connection = connection.target_connection
        target_connection_user = target_connection.user
        connection.target_user = target_connection_user
        connection.save()


def reverse_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Connection = apps.get_model("openbook_connections", 'Connection')
    db_alias = schema_editor.connection.alias
    connections = Connection.objects.using(db_alias).all()
    for connection in connections:
        connection.target_user = None
        connection.save()


class Migration(migrations.Migration):
    dependencies = [
        ('openbook_connections', '0006_connection_target_user'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
