# Generated by Django 2.1.5 on 2019-03-04 17:58

from django.db import migrations, models
import uuid


def create_uuid(apps, schema_editor):
    Post = apps.get_model('openbook_posts', 'Post')
    for post in Post.objects.all():
        post.uuid = uuid.uuid4()
        post.save()


class Migration(migrations.Migration):
    dependencies = [
        ('openbook_posts', '0016_auto_20190214_1525'),
    ]

    operations = [
        migrations.AddField(
            model_name='post',
            name='uuid',
            field=models.UUIDField(blank=True, null=True),
        ),
        migrations.RunPython(create_uuid),
        migrations.AlterField(
            model_name='post',
            name='uuid',
            field=models.UUIDField(unique=True)
        )
    ]
